%define	module	Net-SSH-Perl
%define	name	perl-%{module}
%define	version	1.30
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl client Interface to SSH
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Math::Pari)
BuildRequires:	perl(Math::GMP)
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl(Convert::PEM)
BuildRequires:  perl(Crypt::IDEA)
BuildRequires:  perl(Crypt::DH)
BuildRequires:  perl(Crypt::DSA)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(Digest::HMAC)
BuildRequires:	perl(Digest::MD5)
BuildRequires:  perl(Digest::BubbleBabble)
BuildRequires:  perl(Crypt::RSA)
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Net::SSH::Perl is an all-Perl module implementing an SSH
(Secure Shell) client. It is compatible with both the SSH-1
and SSH-2 protocols.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Net
%{_mandir}/man*/*

%changelog
* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.30-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.30-1mdk
- New release 1.30

* Mon Oct 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdk
- new version
- %%mkrel
- spec cleanup
- better url
- fix sources url
- fix directory ownership
- make test in %%check

* Thu May 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.28-1mdk
- 1.28

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.27-1mdk
- 1.27

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.26-1mdk
- 1.26
- rebuild for new perl

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.25-1mdk
- 1.25
- drop prefix tag
- cosmetics

* Mon Dec 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.24-1mdk
- 1.24

* Sun Nov  9 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.23-1mdk
- First MandrakeSoft Package
